/**
 * A program demonstrating File I/O and string.
 */
#include <iostream>
#include <fstream>
#include <cmath>

using namespace std;

int main ()
{
	//Declaring input and output files.
	ifstream infile;
	ofstream outfile;
	
	//C-string used to save input file name.
	char filename[20];
	int x, y, z;
	
	//Reading input file name
	cout << "Please type your input file name: ";
	cin >> filename;
	
	//Opening input and output files.
	infile.open (filename);
	outfile.open ("output.txt");

	//Reading input file.
	infile >> x >> y >> z;
	
	cout << "Write the input file to another file: output.txt" << endl;
	
	//Writing numbers to the output file.
	outfile << "The first number in " << filename << " is " << x << endl;
	outfile << "The second number in " << filename << " is " << y << endl;
	outfile << "The last number in " << filename << " is " << z << endl;
	
	//Both pow () and sqrt () functions return double type.
	outfile << "The square of the number " << x << " is " << pow (x, 2) << endl;
	y = pow (x, 3);
	outfile << "The cube of the number " << x << " is " << y << endl;
	outfile << "The square root of the number " << x << " is " << sqrt ((float)x) << endl;
	//using pow () to do square root
	outfile << "The square root of the number " << x << " is " << pow ((double)x, 0.5) << endl;
	
	//File closing.
	infile.close ();
	outfile.close ();

	return 0;
}